Subject: Re: [EXTERNAL] Re: [Patch v5 0/5] RDMA/mana_ib

From: Leon Romanovsky <[email-masked]>
Date: Mon, 18 Sep 2023 11:29:03 +0300

On Mon, Sep 11, 2023 at 06:57:21PM +0000, Ajay Sharma wrote:
> I have updated the last patch to use xarray, will post the update patch. We currently use aux bus for ib device. Gd_register_device is firmware specific. All the patches use RDMA/mana_ib format which is aligned with drivers/infiniband/hw/mana/ .

➜  kernel git:(wip/leon-for-rc) git l --no-merges drivers/infiniband/hw/mana/
2145328515c8 RDMA/mana_ib: Use v2 version of cfg_rx_steer_req to enable RX coalescing
89d42b8c85b4 RDMA/mana_ib: Fix a bug when the PF indicates more entries for registering memory on first packet
563ca0e9eab8 RDMA/mana_ib: Prevent array underflow in mana_ib_create_qp_raw()
3574cfdca285 RDMA/mana: Remove redefinition of basic u64 type
0266a177631d RDMA/mana_ib: Add a driver for Microsoft Azure Network Adapter

It is different format from presented here. You added extra space before ":"
and there is double space in one of the titles.

Regarding aux, I see it, but what confuses me is proliferation of terms
and various calls: device, client, adapter. My expectation is to see
more uniform methodology where IB is represented as device.

Thanks

> 
> Thanks
> 
> > -----Original Message-----
> > From: Leon Romanovsky <[email-masked]>
> > Sent: Monday, September 11, 2023 7:33 AM
> > To: [email-masked]
> > Cc: Long Li <[email-masked]>; Jason Gunthorpe <[email-masked]>; Dexuan
> > Cui <[email-masked]>; Wei Liu <[email-masked]>; David S. Miller
> > <[email-masked]>; Eric Dumazet <[email-masked]>; Jakub
> > Kicinski <[email-masked]>; Paolo Abeni <[email-masked]>; linux-
> > [email-masked]; [email-masked]; [email-masked];
> > [email-masked]; Ajay Sharma <[email-masked]>
> > Subject: [EXTERNAL] Re: [Patch v5 0/5] RDMA/mana_ib
> > 
> > On Thu, Sep 07, 2023 at 09:52:34AM -0700, [email-masked]
> > wrote:
> > > From: Ajay Sharma <[email-masked]>
> > >
> > > Change from v4:
> > > Send qp fatal error event to the context that created the qp. Add
> > > lookup table for qp.
> > >
> > > Ajay Sharma (5):
> > >   RDMA/mana_ib : Rename all mana_ib_dev type variables to mib_dev
> > >   RDMA/mana_ib : Register Mana IB  device with Management SW
> > >   RDMA/mana_ib : Create adapter and Add error eq
> > >   RDMA/mana_ib : Query adapter capabilities
> > >   RDMA/mana_ib : Send event to qp
> > 
> > I didn't look very deep into the series and has three very initial comments.
> > 1. Please do git log drivers/infiniband/hw/mana/ and use same format for
> > commit messages.
> > 2. Don't invent your own index-to-qp query mechanism in last patch and use
> > xarray.
> > 3. Once you decided to export mana_gd_register_device, it hinted me that it is
> > time to move to auxbus infrastructure.
> > 
> > Thanks
> > 
> > >
> > >  drivers/infiniband/hw/mana/cq.c               |  12 +-
> > >  drivers/infiniband/hw/mana/device.c           |  81 +++--
> > >  drivers/infiniband/hw/mana/main.c             | 288 +++++++++++++-----
> > >  drivers/infiniband/hw/mana/mana_ib.h          | 102 ++++++-
> > >  drivers/infiniband/hw/mana/mr.c               |  42 ++-
> > >  drivers/infiniband/hw/mana/qp.c               |  86 +++---
> > >  drivers/infiniband/hw/mana/wq.c               |  21 +-
> > >  .../net/ethernet/microsoft/mana/gdma_main.c   | 152 +++++----
> > >  drivers/net/ethernet/microsoft/mana/mana_en.c |   3 +
> > >  include/net/mana/gdma.h                       |  16 +-
> > >  10 files changed, 545 insertions(+), 258 deletions(-)
> > >
> > > --
> > > 2.25.1
> > >